Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl
Class XStreamXmlPlannerBenchmarkFactory

    java.lang.Object
      org.optaplanner.benchmark.api.PlannerBenchmarkFactory
          org.optaplanner.benchmark.impl.XStreamXmlPlannerBenchmarkFactory

    public class XStreamXmlPlannerBenchmarkFactory

extends PlannerBenchmarkFactory

See Also:
  `PlannerBenchmarkFactory`

Constructor Summary
`XStreamXmlPlannerBenchmarkFactory()`

Method Summary
`void` | `addXStreamAnnotations(Class... xStreamAnnotations)`
`PlannerBenchmark` | `buildPlannerBenchmark()` Creates a new `PlannerBenchmark` instance.
`XStreamXmlPlannerBenchmarkFactory` | `configure(File benchmarkConfigFile)`
`XStreamXmlPlannerBenchmarkFactory` | `configure(InputStream in)`
`XStreamXmlPlannerBenchmarkFactory` | `configure(Reader reader)`
`XStreamXmlPlannerBenchmarkFactory` | `configure(String benchmarkConfigResource)`
`PlannerBenchmarkConfig` | `getPlannerBenchmarkConfig()` Allows you to problematically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

Methods inherited from class org.optaplanner.benchmark.api.PlannerBenchmarkFactory
`createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromXmlFile, createFromXmlInputStream, createFromXmlReader, createFromXmlResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XStreamXmlPlannerBenchmarkFactory

    public XStreamXmlPlannerBenchmarkFactory()

Method Detail

### addXStreamAnnotations

    public void addXStreamAnnotations(Class... xStreamAnnotations)

### configure

    public XStreamXmlPlannerBenchmarkFactory configure(String benchmarkConfigResource)

  Parameters:
    `benchmarkConfigResource` - never null, a classpath resource as defined by `ClassLoader.getResource(String)`
  Returns:
    this

### configure

    public XStreamXmlPlannerBenchmarkFactory configure(File benchmarkConfigFile)

### configure

    public XStreamXmlPlannerBenchmarkFactory configure(InputStream in)

### configure

    public XStreamXmlPlannerBenchmarkFactory configure(Reader reader)

### getPlannerBenchmarkConfig

    public PlannerBenchmarkConfig getPlannerBenchmarkConfig()

  Description copied from class: `PlannerBenchmarkFactory`
  Allows you to problematically change the `PlannerBenchmarkConfig` at runtime before building the `PlannerBenchmark`.

  Specified by:
    `getPlannerBenchmarkConfig` in class `PlannerBenchmarkFactory`
  Returns:
    never null

### buildPlannerBenchmark

    public PlannerBenchmark buildPlannerBenchmark()

  Description copied from class: `PlannerBenchmarkFactory`
  Creates a new `PlannerBenchmark` instance.

  Specified by:
    `buildPlannerBenchmark` in class `PlannerBenchmarkFactory`
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.